QwtPlotAbstractSeriesItem(3)

NAME
QwtPlotAbstractSeriesItem -

SYNOPSIS

#include <qwt_plot_seriesitem.h>

Inherits QwtPlotItem.

Inherited by QwtPlotSeriesItem< T >, QwtPlotSeriesItem< QPointF >, QwtPlotSeriesItem< QwtIntervalSample >, and QwtPlotSeriesItem< QwtPoint3D >.

  Public Member Functions
QwtPlotAbstractSeriesItem (const QString &title=QString::null)
QwtPlotAbstractSeriesItem (const QwtText &title)
virtual ~QwtPlotAbstractSeriesItem ()
virtual void draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &) const
virtual void drawSeries (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, int from, int to) const =0
Qt::Orientation orientation () const
void setOrientation (Qt::Orientation)

  Additional Inherited Members

Detailed Description

Base class for plot items representing a series of samples.

Constructor & Destructor Documentation

  QwtPlotAbstractSeriesItem::QwtPlotAbstractSeriesItem (const QString &title = QString::null) [explicit]
Constructor

Parameters:
    title Title of the curve

  QwtPlotAbstractSeriesItem::QwtPlotAbstractSeriesItem (const QwtText &title) [explicit]
Constructor

Parameters:
    title Title of the curve

Member Function Documentation

  void QwtPlotAbstractSeriesItem::draw (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect) const [virtual]

Draw the complete series. Parameters:
    painter Painter
    xMap Maps x-values into pixel coordinates.
    yMap Maps y-values into pixel coordinates.
    canvasRect Contents rect of the canvas

Implements QwtPlotItem.

  virtual void QwtPlotAbstractSeriesItem::drawSeries (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, intfrom, intto) const [pure virtual]
Draw a subset of the samples

Parameters:
    painter Painter
    xMap Maps x-values into pixel coordinates.
    yMap Maps y-values into pixel coordinates.
    canvasRect Contents rect of the canvas
    from Index of the first point to be painted
    to Index of the last point to be painted. If to < 0 the curve will be painted to its last point.

Implemented in QwtPlotCurve, QwtPlotIntervalCurve, QwtPlotHistogram, and QwtPlotSpectroCurve.

  Qt::Orientation QwtPlotAbstractSeriesItem::orientation () const
Returns:
    Orientation of the plot item

See also:
    setOrientation()

  void QwtPlotAbstractSeriesItem::setOrientation (Qt::Orientationorientation)
Set the orientation of the item.

The orientation() might be used in specific way by a plot item. F.e. a QwtPlotCurve uses it to identify how to display the curve int QwtPlotCurve::Steps or QwtPlotCurve::Sticks style.

See also:
    orientation()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.